# $Revision: 1.136.2.3 $, $Date: 2003/07/07 21:52:10 $
#
# Conditional builds:
# _without_pam - disable PAM support
# _with_ldap - enable LDAP suppoer
# _with_mysql - enable MySQL suppoer
# _with_quota - enable quota support
# _with_linuxprivs - enable libcap support
# _without_ipv6 - disable IPv6 and TCPD support
# _without_ssl - disbale TLS/SSL support
# --without pam --with ldap --with mysql --with quota --with linuxprivs
Summary:	PROfessional FTP Daemon with apache-like configuration syntax
Summary(es):	Servidor FTP profesional, con sintaxis de configuracin semejante a la del apache
Summary(pl):	PROfesionalny serwer FTP
Summary(pt_BR):	Servidor FTP profissional, com sintaxe de configurao semelhante  do apache
Summary(zh_CN):	ڹ,ȫ FTP .
Name:		proftpd
Version:	1.2.5
Release:	7
Epoch:		1
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.proftpd.org/historic/v1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	100a374dfcaa4852cb767dc6afeb4277
Source1:	%{name}.conf
Source2:	%{name}.logrotate
Source3:	ftp.pamd
Source4:	%{name}.inetd
Source5:	%{name}.sysconfig
Source6:	%{name}.init
Source7:	%{name}-mod_tcpd.c
Source8:	ftpusers.tar.bz2
# Source8-md5:  76c80b6ec9f4d079a1e27316edddbe16
Patch0:		%{name}-1.2.5-v6-20020808.patch.gz
# ftp://ftp.runestig.com/pub/proftpd-tls/
Patch1:		%{name}-1.2.2rc3+v6-tls.20010505.patch.gz
Patch2:		%{name}-umode_t.patch
Patch3:		%{name}-glibc.patch
Patch4:		%{name}-paths.patch
Patch5:		%{name}-release.patch
Patch6:		%{name}-noautopriv.patch
Patch7:		%{name}-DESTDIR.patch
Patch8:		%{name}-wtmp.patch
Patch9:		%{name}-link.patch
Patch10:	%{name}-port-65535.patch
# from debian
Patch11:	%{name}-mod_sql_postgres.c.diff
URL:		http://www.proftpd.org/
BuildRequires:	autoconf
BuildRequires:	libwrap-devel
%{?_with_mysql:BuildRequires:	mysql-devel}
%{?_with_ldap:BuildRequires:		openldap-devel}
%{?!_without_ssl:BuildRequires:	openssl-devel >= 0.9.6j}
%{?!_without_pam:BuildRequires:	pam-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ftpd
%define		_localstatedir	/var/run

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems. ProFTPD is designed to be somewhat of a "drop-in"
replacement for wu-ftpd. Full online documentation is available at
http://www.proftpd.org/, including a server configuration directive
reference manual.

%description -l es
ProFTPD es un servidor ftp altamente configurable para sistemas
operativos unix. Est proyectado para ser un substituto directo al
wu-ftpd. La documentacin completa est disponible en
http://www.proftpd.org, incluido el manual de referencia para las
directivas de configuracin del servidor.

%description -l pl
ProFTPD jest wysoce konfigurowalnym serwerem ftp dla systemw Unix.
ProFTPD jest robiony jako bezporedni zamiennik wu-ftpd. Pena
dokunentacja jest dostpna on-line pod http://www.proftpd.org/
wcznie z dokumentacj dotyczc konfigurowania.

%description -l pt_BR
O ProFTPD  um servidor ftp altamente configurvel para sistemas
operacionais unix.

 projetado para ser um substituto direto para o wu-ftpd. A
documentao completa est disponvel em http://www.proftpd.org,
incluindo o manual de referncia para as diretivas de configurao do
servidor.

%package common
Summary:	PROfessional FTP Daemon with apache-like configuration syntax - common files
Summary(pl):	PROfesionalny serwer FTP  - wsplne pliki
Group:		Daemons
Prereq:		awk
Prereq:		fileutils
Requires:	logrotate
%{?!_without_pam:Requires:	pam >= 0.67}
Obsoletes:	proftpd < 0:1.2.2rc1-3

%description  common
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems. ProFTPD is designed to be somewhat of a "drop-in"
replacement for wu-ftpd. Full online documentation is available at
http://www.proftpd.org/, including a server configuration directive
reference manual.

%description common -l pl
ProFTPD jest wysoce konfigurowalnym serwerem ftp dla systemw Unix.
ProFTPD jest robiony jako bezporedni zamiennik wu-ftpd. Pena
dokunentacja jest dostpna on-line pod http://www.proftpd.org/
wcznie z dokumentacj dotyczc konfigurowania.

%package inetd
Summary:	inetd configs for proftpd
Summary(pl):	Pliki konfiguracyjne do uycia proftpd poprzez inetd
Group:		Daemons
Prereq:		%{name}-common = %{epoch}:%{version}
Prereq:		rc-inetd
Provides:	proftpd = %{epoch}:%{version}-%{release}
Requires:	inetdaemon
Provides:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	ftpserver
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd-standalone
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51

%description inetd
ProFTPD configs for running from inetd.

%description inetd -l pl
Pliki konfiguracyjna ProFTPD do startowania demona poprzez inetd.

%package standalone
Summary:	standalone daemon configs for proftpd
Summary(pl):	Pliki konfiguracyjne do startowania proftpd w trybie standalone
Group:		Daemons
Prereq:		%{name}-common = %{version}
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Provides:	proftpd = %{epoch}:%{version}-%{release}
Provides:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	ftpserver
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd-inetd
Obsoletes:	pure-ftpd
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51

%description standalone
ProFTPD configs for running as a standalone daemon.

%description standalone -l pl
Pliki konfiguracyjne ProFTPD do startowania demona w trybie
standalone.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch11 -p1

install -m644 %{SOURCE7} contrib/mod_tcpd.c

%build
%{__autoconf}
RUN_DIR=%{_localstatedir} ; export RUN_DIR
%configure \
	--enable-autoshadow \
	--with-modules=mod_ratio:mod_readme%{?!_without_ipv6::mod_tcpd}%{?!_without_pam::mod_pam}%{?_with_ldap::mod_ldap}%{?_with_quota::mod_quota}%{?_with_linuxprivs::mod_linuxprivs}%{?_with_mysql::mod_sql:mod_sql_mysql} \
	%{?!_without_ipv6:--enable-ipv6} \
	%{?_without_ssl:--disable-tls} \
	--enable-sendfile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d,security,sysconfig/rc-inetd,rc.d/init.d} \
	$RPM_BUILD_ROOT/{home/ftp/pub/Incoming,var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_USER=`id -u` \
	INSTALL_GROUP=`id -g`

rm -f $RPM_BUILD_ROOT%{_sbindir}/in.proftpd

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
%{?!_without_pam:install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/ftp}
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ftpd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/proftpd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/proftpd
install contrib/xferstats.holger-preiss $RPM_BUILD_ROOT%{_bindir}/xferstat

bzip2 -dc %{SOURCE8} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

mv -f contrib/README contrib/README.modules

:> $RPM_BUILD_ROOT%{_sysconfdir}/ftpusers.default
:> $RPM_BUILD_ROOT%{_sysconfdir}/ftpusers
:> $RPM_BUILD_ROOT/var/log/xferlog

ln -sf proftpd $RPM_BUILD_ROOT%{_sbindir}/ftpd

:> $RPM_BUILD_ROOT/etc/security/blacklist.ftp

%clean
rm -rf $RPM_BUILD_ROOT

%post common
touch /var/log/xferlog
awk 'BEGIN { FS = ":" }; { if(($3 < 500)&&($1 != "ftp")) print $1; }' < /etc/passwd >> %{_sysconfdir}/ftpusers.default
if [ ! -f %{_sysconfdir}/ftpusers ]; then
	( cd %{_sysconfdir}; mv -f ftpusers.default ftpusers )
fi

%post inetd
if grep -iEqs "^ServerType[[:space:]]+standalone" %{_sysconfdir}/proftpd.conf ; then
	cp -a %{_sysconfdir}/proftpd.conf %{_sysconfdir}/proftpd.conf.rpmorig
	sed -e "s/^ServerType[[:space:]]\+standalone/ServerType			inetd/g" \
		%{_sysconfdir}/proftpd.conf.rpmorig >%{_sysconfdir}/proftpd.conf
fi
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun inetd
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
fi

%post standalone
/sbin/chkconfig --add proftpd
if grep -iEqs "^ServerType[[:space:]]+inetd" %{_sysconfdir}/proftpd.conf ; then
	cp -a %{_sysconfdir}/proftpd.conf %{_sysconfdir}/proftpd.conf.rpmorig
	sed -e "s/^ServerType[[:space:]]\+inetd/ServerType			standalone/g" \
		%{_sysconfdir}/proftpd.conf.rpmorig >%{_sysconfdir}/proftpd.conf
fi
if [ -f /var/lock/subsys/proftpd ]; then
	/etc/rc.d/init.d/proftpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/proftpd start\" to start ProFTPD daemon."
fi

%preun standalone
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/proftpd ]; then
		/etc/rc.d/init.d/proftpd stop 1>&2
	fi
	/sbin/chkconfig --del proftpd
fi

%files common
%defattr(644,root,root,755)
%doc sample-configurations/{virtual,anonymous}.conf ChangeLog README
%doc README.linux-* contrib/README.modules README.IPv6 README.PAM
%doc README.TLS README.mod_sql README.LDAP doc/*html

%attr(750,root,ftp) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(640,root,root) /etc/logrotate.d/*
%attr(640,root,root) %ghost /var/log/*
%{?!_without_pam:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*}

%attr(640,root,root) %{_sysconfdir}/ftpusers.default
%attr(640,root,root) %ghost %{_sysconfdir}/ftpusers
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.ftp

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man[18]/*

%dir /home/ftp/pub
%attr(711,root,root) %dir /home/ftp/pub/Incoming

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/ftpd
%{_mandir}/man5/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%files standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/proftpd
%attr(754,root,root) /etc/rc.d/init.d/proftpd
%{_mandir}/man5/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: proftpd.spec,v $
Revision 1.136.2.3  2003/07/07 21:52:10  blues
- cosmetics

Revision 1.136.2.2  2003/07/07 18:50:01  misi3k
- rel 7
- added security patch (11)
- md5
BUG:
PostgreSQL authentication module is vulnerable to a SQL
injection attack

Revision 1.136.2.1  2003/02/05 12:21:39  mmazur
- added reload option to init script

Revision 1.136  2002/10/23 10:37:19  ankry
- fixed path in ftpusers.5 man page; rel. 5

Revision 1.135  2002/10/22 13:53:51  qboosh
- s/1000/500/ (see default /etc/login.defs); release 4

Revision 1.134  2002/10/19 11:07:32  ankry
- fixed %%post script, release 3

Revision 1.133  2002/08/13 21:49:51  misiek
- rel 2, epoch 1 (1.2.5rc > 1.2.5)

Revision 1.132  2002/08/08 20:48:23  kloczek
- merge translations from TurboLinux.

Revision 1.131  2002/08/08 19:38:18  baggins
- updated to 1.2.5
- release 1
- fixed a really stupid bug in v6 patch (affects v4 also)
- STBR ASAP

Revision 1.130  2002/06/10 00:16:10  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 6

Revision 1.129  2002/06/05 18:55:33  kloczek
- use new %doc.

Revision 1.128  2002/06/01 10:29:52  qboosh
- -inetd and -standalone Obsoletes: vsftpd
- release 5

Revision 1.127  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.126  2002/04/22 22:47:18  undefine
- use pam by default(originaly aren't authoritative)
- release 4

Revision 1.125  2002/03/30 14:03:46  migo
- added README.mod_sql and README.LDAP to documentation

Revision 1.124  2002/03/22 10:22:42  qboosh
- fixed %%preun standalone; release 3

Revision 1.123  2002/03/05 10:49:19  marcus
- rel.2.

Revision 1.122  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.121  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.120  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.119  2002/01/02 06:38:52  kloczek
- merge translations from Conectiva.

Revision 1.118  2001/12/22 15:47:10  blues
- 1.2.5rc1 (see bugtraq - non critical)
- patches updated

Revision 1.117  2001/10/21 23:43:55  blues
- 1.2.4
- patches updated and v6_fix.patch added

Revision 1.116  2001/10/11 13:44:16  qboosh
- BuildRequires: autoconf; Obsoletes: muddleftpd, troll-ftpd

Revision 1.115  2001/09/25 12:25:19  qboosh
- release 7: -standalone Prereq: /sbin/chkconfig

Revision 1.114  2001/09/23 12:05:03  orzech
- added group(pl,de) for -common subpackage

Revision 1.113  2001/08/14 18:21:15  baggins
- release 6
- fixed file descriptor leak in IPv6 patch (misiek)
- there can be 65535 ports (misiek)

Revision 1.112  2001/07/30 09:58:31  kloczek
- release 5.

Revision 1.111  2001/07/29 12:22:43  roman
- removed line "/etc/security/blacklist.ftp" from %post

Revision 1.110  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.109  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.107  2001/07/25 06:43:03  kloczek
- release 4,
- move touch /etc/security/blacklist.ftp file to %install and add this file as
  %config(noreplace).

Revision 1.106  2001/07/24 20:50:41  blues
- added "touching" /etc/security/blacklist.ftp in %post (that file was
  missing by default)

Revision 1.105  2001/07/20 02:57:00  kloczek
- release 3.

Revision 1.104  2001/07/16 13:56:50  trojan
- use reload not restart in %%post inetd

Revision 1.103  2001/07/15 04:32:07  kloczek
- rebuild on openssl 0.9.6a.

Revision 1.102  2001/07/13 14:26:33  baggins
- updated to 1.2.2rc3

Revision 1.101  2001/05/22 09:06:51  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.100  2001/05/11 21:04:46  kloczek
- Epoch: 0 is back.

Revision 1.99  2001/05/09 01:50:09  kloczek
- release 5: rebuild against openssl 0.9.6a.

Revision 1.98  2001/04/13 22:00:35  baggins
- release 4
- you must set epoch if you want to use it in macros

Revision 1.97  2001/04/11 12:31:39  blues
- translations

Revision 1.96  2001/04/11 10:58:01  wiget
typo

Revision 1.95  2001/04/11 10:43:18  wiget
one missing obsoletes rule

Revision 1.94  2001/04/11 10:17:55  wiget
- release 3
- rename proftpd subpackage to proftpd-common and move Obsoletes roules
  to -inetd/-standalone subpackages
- -inetd/-standalone subpackages provides ftpdaemon and proftpd =
  %%{epoch}:%%{version}-%%{release}
- moved /etc/ftpd/*.conf files to -common (no more *rpmsave files if
  switch from one to other "frontend")

Revision 1.93  2001/04/10 17:05:42  misiek
root.ftp on /etc/ftpd

Revision 1.92  2001/04/06 13:10:55  baggins
- release 2
- updated ipv6 and tls patches

Revision 1.91  2001/04/01 10:51:45  areq
- 1.2.2rc1
- update release.patch
- remove betterlog.patch and glob.patch
- comment TLS and ipv6 patch - must by update

Revision 1.90  2001/03/24 14:14:23  misiek
buildrequires: libwrap-devel

Revision 1.89  2001/03/24 13:56:40  misiek
added globbing fix; release 1; stb

Revision 1.88  2001/03/03 15:41:28  misiek
tls && ipv6 fixed

Revision 1.87  2001/03/02 18:13:32  wiget
start update to 1.2.1 (ipv6 patches need update)

Revision 1.86  2001/02/19 14:02:56  baggins
- release 2
- globalized UseTCPD in proftpd.conf

Revision 1.85  2001/02/06 15:10:34  baggins
- added patch for proper linking

Revision 1.84  2001/02/06 15:05:52  baggins
- reverted last change

Revision 1.83  2001/02/06 15:02:49  baggins
- small fix

Revision 1.82  2001/02/06 14:34:13  baggins
- updated to 1.2.0rc3
- updated ipv6 patch
- added SSL/TLS support
- removed obsolete patches

Revision 1.81  2001/02/05 19:47:48  kloczek
- added fileutils to Prereq.

Revision 1.80  2001/02/05 17:19:02  baggins
- release 15
- updated to latest CVS sources (new patch)
- updated ipv6 patch
- added mod_tcpd.c (for tcp_wrappers/tcpd support)
- pam and mod_sqlpw-v6 patches are obsolete
- split configs into "inetd" and "standalone" packages
	it's now possible to have proftpd running either from inetd
	or as a standalone daemon

Revision 1.79  2001/02/03 17:44:37  kloczek
- added awk to Prereq.

Revision 1.78  2001/02/03 00:40:23  baggins
- release 14
- fixed sendfile and ranted mcgyver

Revision 1.77  2001/01/23 18:06:25  wiget
fix mod_mysql/mod_sqlpw order

Revision 1.76  2001/01/23 00:29:02  kloczek
- heimdal-ftpd added to Obsoletes.

Revision 1.75  2001/01/23 00:22:20  kloczek
- release 13: pure-ftpd added to Obsoletes.

Revision 1.74  2001/01/22 13:33:20  wiget
- bcond_* macros
- new conditional builds:
--with mysql
--without ipv6

Revision 1.73  2001/01/14 13:00:46  undefine
- Added bftpd to Obsoletes

Revision 1.72  2001/01/09 16:42:07  baggins
- release 11
- disabled sendfile (broken)

Revision 1.71  2000/10/24 12:49:51  wiget
describe conditional builds

Revision 1.70  2000/10/22 15:09:23  kloczek
- release 9.

Revision 1.69  2000/10/22 12:25:48  misiek
use pam patch

Revision 1.68  2000/10/20 01:33:31  kloczek
- release 8: use newrpm automation.

Revision 1.67  2000/09/21 18:37:00  baggins
- release 7
- updated IPv6 patch

Revision 1.66  2000/09/20 21:51:50  kloczek
- adapterized.

Revision 1.65  2000/09/20 15:29:56  wiget
- release 6
- removed libcap patch (proftpd use _modified_ libcap)
- added more docs
- added conditional building for some modules
-- --define 'nopam 1' to disable pam support
-- --define 'ldap 1' to enable ldap support
-- --define 'quota 1' to enable quota support
-- --define 'linuxprivs 1' to enable libcap support

Revision 1.64  2000/09/19 15:28:46  baggins
- release 5
- added IPv6 support (patch by me :)
- fixed paths in binaries
- marked configs as noreplace
- small cleanup

Revision 1.63  2000/09/19 12:01:41  zagrodzki
- don't put user "ftp" into ftpusers

Revision 1.62  2000/09/02 01:46:53  baggins
- release 4
- updated to latest CVS version (CVS patch)
- fixed wtmpx for good

Revision 1.61  2000/08/24 15:17:31  pascalek
- added linux-ftpd as Obsoletes

Revision 1.60  2000/08/20 15:08:33  baggins
- release 3
- "fixed" wtmp madness

Revision 1.59  2000/08/09 14:59:33  baggins
- release 2
- added wtmp patch (use glibc functions to access wtmp)

Revision 1.58  2000/07/28 14:36:47  zagrodzki
- updated to 1.2.0rc2
- removed -nocmd.patch (obsolete)

Revision 1.57  2000/07/26 12:13:39  zagrodzki
- release 4
- fixed buffer overflow bug at parsing commands

Revision 1.56  2000/07/14 20:59:59  mkochano
- Put users with ID < 1000 (istaed of users with ID < 100) into list of users
  not  allowed to use ftp service.

Revision 1.55  2000/07/14 16:45:37  baggins
- release 2
- fixed problem with PAM config

Revision 1.54  2000/07/12 18:25:46  baggins
- updated to 1.2.0rc1
- removed localtime and setproctitle patches

Revision 1.53  2000/07/06 18:12:42  baggins
- typo

Revision 1.52  2000/07/06 18:12:00  baggins
- argh, forgot %%patch statement

Revision 1.51  2000/07/06 18:08:43  baggins
- realease 4 (not 3)

Revision 1.50  2000/07/06 18:07:40  baggins
- release 4
- added setproctitle patch from bugtraq

Revision 1.49  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.48  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.47  2000/05/17 12:05:06  yaro
- removed nonexistent patch9

Revision 1.46  2000/05/17 07:35:59  wiget
use reload not restart

Revision 1.45  2000/04/12 20:28:14  mkochano
- Release++.

Revision 1.44  2000/04/12 20:27:38  mkochano
- Only user with ID less than 100 are put into default
  /etc/ftp/ftpusers{,.default}. These files contain names of users *not*
  allowed to use FTP server.

Revision 1.43  2000/04/10 17:44:48  mis
- removed duplicated group lines

Revision 1.42  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.41  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.40  2000/02/15 10:08:43  wiget
- noreplace pam config file
- xferlog are %%ghost

Revision 1.39  2000/01/28 01:57:11  kloczek
- spec adapterized,
- added wu-ftpd, ftppd-BSD to Obsoletes,
- dimplification in %postun,
- rename rc-inetd service description file to ftpd.

Revision 1.38  2000/01/26 21:49:32  elephant
o Updated to 1.2.0pre10 version

Revision 1.37  1999/12/16 09:56:38  kloczek
- fix: restart rc-inetd in %post only on removing package (without this
  rc-intd is two times restarted during upgrade).

Revision 1.36  1999/12/15 20:26:14  kloczek
- release 2,
- standarized logrotate config file: get rotate period and rotate count from
  global logrotate config file (by alchemyx).

Revision 1.35  1999/10/28 13:21:38  baggins
- updated to pre9

Revision 1.34  1999/10/14 22:58:18  kloczek
- release 3,
- fix: in %postun must be restart inet server (not stop).

Revision 1.33  1999/10/14 18:21:07  wiget
- added BuildRequires: pam-devel
- added Requires: rc-scripts

Revision 1.32  1999/10/13 10:57:29  kloczek
- release 2,
- added in %post/%postun restarting inet server.

Revision 1.31  1999/10/11 07:07:33  waszi
- added rc-inetd support

Revision 1.30  1999/10/06 13:45:21  baggins
- update to pre8

Revision 1.29  1999/09/11 15:09:57  baggins
- updated to pre5

Revision 1.28  1999/09/01 20:05:42  kloczek
- added DESTDIR patch,
- more rpm macros,
- some cosmetics.

Revision 1.27  1999/09/01 12:01:18  baggins
- updated to pre4

Revision 1.26  1999/08/31 14:44:15  baggins
- removed dump anti-exploit patch

Revision 1.25  1999/08/30 15:51:13  baggins
- another exploit fix

Revision 1.24  1999/08/30 15:30:38  baggins
- typo

Revision 1.23  1999/08/30 15:29:51  baggins
- added fix for buffer overflow in mod_xfer

Revision 1.22  1999/07/21 09:32:12  pius
- added ftp.pamd,
- added more patches from devel,
- removed mod_linuxprivs from modules compiled into proftpd,
- other minor changes.

Revision 1.21  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2
